Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/10/2022 in all areas

  1. Yes or go into edit mode would be better
    1 point
  2. The concrete footings and the attached piers are 18'-0" measured center-to-center. Is it possible you have a footing/pier that is not located correctly? Did you check all your center-to-center measurements?
    1 point
  3. A few notes if I may. 1- You changed the system variable cmdecho to 0 but you did not reset it back on exit. 2- Suppose the user did not select any text then the sslength function will throw an error. 3- You already set the filter for Text & Mtext so there is no need to check that again in the routine to guarantee the object is *Text. 4- You need to check if the text value is valid for layer name. 5- If any of the text objects' colour was ByLayer then the return of (cdr (assoc 62 ....)) would be nil. 6- Finally the use of rtos is not needed but itoa is enough because you are counting integers.
    1 point
  4. That is basically what i did over on the swamp. Checked to see if the line was going left to right or right to left. also used to set the right angle so text is upright (if (setq OBJ (car (entsel "\nSelect line"))) (progn (setq PT1 (vlax-curve-getStartPoint OBJ) PT2 (vlax-curve-getendpoint OBJ) MPT (mapcar '/ (mapcar '+ PT1 PT2) '(2 2 2)) dist (distance PT1 PT2) ) (if (< (car PT1) (car PT2)) (setq ang (angle PT1 PT2) x PT1 y PT2 ) (setq ang (angle PT2 PT1) x PT2 y PT1 ) ) ) )
    1 point
  5. Here too: http://www.theswamp.org/index.php?topic=57497.0
    1 point
  6. So kind of struggling with French lessons from 30 years ago for your LISP... but you have been good to ask the question in English, I'll have a go at an answer. Unless I am wrong your first point and last point of the lines are point_debut_lineaire point_fin_lineaire if the line is drawn in reverse, can you swap these over so that point_debut_lineaire becomes point_fin_lineaire.. and in which case all you need to do is an if routine for the smallest x coordinate to be point_debut_linear ? (about line 385) Something like (if (< (nth 0 point_fin_lineaire) (nth 0 point_debut_lineaire) ) (progn (setq temp point_fin_lineaire) (setq point_fin_lineaire point_debut_lineaire) (setq point_debut_lineaire temp) ) ;end progn ) ;end if obviously I might be wrong.
    1 point
×
×
  • Create New...